Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
branch: core-1.5.x
Fetching contributors…

Cannot retrieve contributors at this time

182 lines (165 sloc) 5.77 kB
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.wicketstuff</groupId>
<artifactId>wicketstuff-core</artifactId>
<version>1.5-SNAPSHOT</version>
</parent>
<artifactId>jdk-1.5-parent</artifactId>
<packaging>pom</packaging>
<name>Java 5 Modules - Parent</name>
<description>
Wicketstuff core modules that can be built using java 5.
</description>
<modules>
<module>jqplot-parent</module>
<module>annotation</module>
<module>autocomplete-tagit-parent</module>
<module>browserid-parent</module>
<module>calendarviews-parent</module>
<module>client-and-server-validation</module>
<module>console-parent</module>
<module>datatable-autocomplete-parent</module>
<module>datatables-parent</module>
<module>eidogo-parent</module>
<module>flot-parent</module>
<module>gae-initializer-parent</module>
<module>googlecharts-parent</module>
<module>gmap2-parent</module>
<module>htmlcompressor-parent</module>
<module>inmethod-grid-parent</module>
<module>input-events-parent</module>
<module>jasperreports-parent</module>
<module>jquery-parent</module>
<module>jslibraries</module>
<module>jsr303-parent</module>
<module>maven-support</module>
<module>mbeanview-parent</module>
<module>minis-parent</module>
<module>modalx-parent</module>
<module>mootools-meiomask-parent</module>
<module>multi-text-input-parent</module>
<module>objectautocomplete-parent</module>
<module>openlayers-parent</module>
<module>phonebook</module>
<module>plugin</module>
<module>portlet-parent</module>
<module>progressbar-parent</module>
<module>prototype</module>
<module>push-parent-jdk-1.5</module>
<module>scala-extensions-parent</module>
<module>shiro-security</module>
<module>simile-timeline-parent</module>
<module>theme-parent</module>
<module>tinymce-parent</module>
<module>wicket-bundle-parent</module>
<module>wicket-osgi-parent</module>
<module>wicket-poi-parent</module>
<module>wicket-security-parent</module>
<module>wicketstuff-logback-parent</module>
<module>wicketstuff-springreference-parent</module>
<module>yav-parent</module>
<!-- Modules below are commented until they can compile with wicket 1.5-SNAPSHOT -->
<!-- <module>dojo-parent</module> -->
<!-- artwork-parent depends on jslibraries -->
<!-- <module>artwork-parent</module> -->
<!-- <module>jwicket-parent</module> -->
<!-- mocleiri: has Irequesttarget usage that needs to be migrated. -->
<!-- <module>scriptaculous-parent</module> -->
<!-- <module>tinymce-parent</module> -->
<!-- <module>yui-parent</module> -->
<!--commented out until org.apache.commons:commons-proxy:jar:1.1-SNAPSHOT
is available -->
<!--see http://www.nabble.com/Wicketstuff-core...-td23105708.html#a23106385 -->
<!-- <module>syringe</module> -->
<!-- <module>ki-security</module> -->
<!-- <module>sitemap-xml-parent</module> -->
<!-- depends on yui -->
<!-- <module>ddcalendar-parent</module> -->
<module>twitter-parent</module>
</modules>
<dependencyManagement>
<dependencies>
<dependency>
<groupId>commons-dbcp</groupId>
<artifactId>commons-dbcp</artifactId>
<version>1.3</version>
</dependency>
<dependency>
<groupId>org.hsqldb</groupId>
<artifactId>hsqldb-j5</artifactId>
<version>2.2.4</version>
<scope>runtime</scope>
</dependency>
</dependencies>
</dependencyManagement>
<build>
<plugins>
<plugin>
<!-- make sure our code doesn't have 1.6 dependencies except where we know it
see:
* http://mojo.codehaus.org/animal-sniffer/index.html
* http://weblogs.java.net/blog/kohsuke/archive/2008/11/compiling_with.html -->
<groupId>org.codehaus.mojo</groupId>
<artifactId>animal-sniffer-maven-plugin</artifactId>
<configuration>
<signature>
<groupId>org.codehaus.mojo.signature</groupId>
<artifactId>java15</artifactId>
<version>1.0</version>
</signature>
</configuration>
</plugin>
</plugins>
<pluginManagement>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<executions>
<!-- will compile the tests using the java 5 compiler -->
<execution>
<id>java-5-compile-tests</id>
<phase>compile</phase>
<goals>
<goal>testCompile</goal>
</goals>
<configuration>
<source>1.5</source>
<target>1.5</target>
<compilerVersion>1.5</compilerVersion>
<executable>${env.JAVA_5_HOME}/bin/javac</executable>
<fork>true</fork>
</configuration>
</execution>
<!-- Will compile the modules using java 6 source to java 5
Due to how the java 6 compiler works this will allow java 6 ism's in the code
to be compiled back into java 5 compatible class files.
-->
<execution>
<id>java-6-compile-to-java-5</id>
<phase>compile</phase>
<goals><goal>compile</goal></goals>
<configuration>
<source>1.5</source>
<target>1.5</target>
</configuration>
</execution>
</executions>
</plugin>
<!-- run the tests using java 5 -->
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-surefire-plugin</artifactId>
<configuration>
<jvm>${env.JAVA_5_HOME}/bin/java</jvm>
</configuration>
</plugin>
</plugins>
</pluginManagement>
</build>
</project>
Jump to Line
Something went wrong with that request. Please try again.